<!DOCTYPE html>
<html lang="en" class="js csstransforms3d">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="Hugo 0.89.4" />
    <meta name="description" content="Cours d&#39;Enquêtes Quantitatives">
<meta name="author" content="D: Bonnéry">

    <link rel="shortcut icon" href="/images/de.jpg" type="image/x-icon" />
    <title>Pages organization :: Documentation for Hugo Learn Theme</title>

    
    <link href="/css/nucleus.css?1669111564" rel="stylesheet">
    <link href="/css/fontawesome-all.min.css?1669111564" rel="stylesheet">
    <link href="/css/hybrid.css?1669111564" rel="stylesheet">
    <link href="/css/featherlight.min.css?1669111564" rel="stylesheet">
    <link href="/css/perfect-scrollbar.min.css?1669111564" rel="stylesheet">
    <link href="/css/auto-complete.css?1669111564" rel="stylesheet">
    <link href="/css/atom-one-dark-reasonable.css?1669111564" rel="stylesheet">
    <link href="/css/theme.css?1669111564" rel="stylesheet">
    <link href="/css/tabs.css?1669111564" rel="stylesheet">
    <link href="/css/hugo-theme.css?1669111564" rel="stylesheet">
    
    <link href="/css/theme-red.css?1669111564" rel="stylesheet">
    
    

    <script src="/js/jquery-3.3.1.min.js?1669111564"></script>

    <style>
      :root #header + #content > #left > #rlblock_left{
          display:none !important;
      }
      
    </style>
    
  </head>
  <body class="" data-url="/en/cont/pages/">
    <nav id="sidebar" class="showVisitedLinks">



  <div id="header-wrapper">
    <div id="header">
      <a id="logo" href='/en'>

<font size="+3"> Enquêtes Quantitatives</font>
<img src="/images/de.jpg" alt="Cours de Daniel Bonnéry">


</a>

    </div>
    
        <div class="searchbox">
    <label for="search-by"><i class="fas fa-search"></i></label>
    <input data-search-input id="search-by" type="search" placeholder="Search...">
    <span data-search-clear=""><i class="fas fa-times"></i></span>
</div>

<script type="text/javascript" src="/js/lunr.min.js?1669111564"></script>
<script type="text/javascript" src="/js/auto-complete.js?1669111564"></script>
<script type="text/javascript">
    
        var baseurl = "\/\/en";
    
</script>
<script type="text/javascript" src="/js/search.js?1669111564"></script>

    
  </div>
  
    <section id="homelinks">
      <ul>
        <li>
            <a class="padding" href='/en'><i class='fas fa-home'></i> Home</a>
        </li>
      </ul>
    </section>
  

    <div class="highlightable">
    <ul class="topics">

        
          
          




 
  
    
    <li data-nav-id="/en/1principesstat/" title="Basics" class="dd-item
        
        
        
        ">
      <a href="/en/1principesstat/">
          <b>1. </b>Basics
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/en/1principesstat/requirements/" title="Requirements" class="dd-item
        
        
        
        ">
      <a href="/en/1principesstat/requirements/">
          Requirements
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/en/1principesstat/installation/" title="Installation" class="dd-item
        
        
        
        ">
      <a href="/en/1principesstat/installation/">
          Installation
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/en/1principesstat/configuration/" title="Configuration" class="dd-item
        
        
        
        ">
      <a href="/en/1principesstat/configuration/">
          Configuration
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/en/1principesstat/style-customization/" title="Style customization" class="dd-item
        
        
        
        ">
      <a href="/en/1principesstat/style-customization/">
          Style customization
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

          
          




 
  
    
    <li data-nav-id="/en/cont/" title="Content" class="dd-item
        parent
        
        
        ">
      <a href="/en/cont/">
          <b>2. </b>Content
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/en/cont/pages/" title="Pages organization" class="dd-item
        parent
        active
        
        ">
      <a href="/en/cont/pages/">
          Pages organization
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/cont/archetypes/" title="Archetypes" class="dd-item ">
        <a href="/en/cont/archetypes/">
        Archetypes
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/cont/markdown/" title="Markdown syntax" class="dd-item ">
        <a href="/en/cont/markdown/">
        Markdown syntax
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/cont/syntaxhighlight/" title="Code highlighting" class="dd-item ">
        <a href="/en/cont/syntaxhighlight/">
        Code highlighting
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/cont/menushortcuts/" title="Menu extra shortcuts" class="dd-item ">
        <a href="/en/cont/menushortcuts/">
        Menu extra shortcuts
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/cont/icons/" title="Icons and logos" class="dd-item ">
        <a href="/en/cont/icons/">
        Icons and logos
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/en/cont/i18n/" title="Multilingual and i18n" class="dd-item
        
        
        
        ">
      <a href="/en/cont/i18n/">
          Multilingual and i18n
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/cont/tags/" title="Tags" class="dd-item ">
        <a href="/en/cont/tags/">
        Tags
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
      
    </li>
  
 

          
          




 
  
    
    <li data-nav-id="/en/shortcodes/" title="Shortcodes" class="dd-item
        
        
        
        ">
      <a href="/en/shortcodes/">
          <b>3. </b>Shortcodes
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
      <li data-nav-id="/en/shortcodes/attachments/" title="Attachments" class="dd-item ">
        <a href="/en/shortcodes/attachments/">
        Attachments
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/shortcodes/button/" title="Button" class="dd-item ">
        <a href="/en/shortcodes/button/">
        Button
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/en/shortcodes/children/" title="Children" class="dd-item
        
        
        
        ">
      <a href="/en/shortcodes/children/">
          Children
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/en/shortcodes/children/children-1/" title="page 1" class="dd-item
        
        
        
        ">
      <a href="/en/shortcodes/children/children-1/">
          page 1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/en/shortcodes/children/children-1/children-1-1/" title="page 1-1" class="dd-item
        
        
        
        ">
      <a href="/en/shortcodes/children/children-1/children-1-1/">
          page 1-1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/" title="page 1-1-1" class="dd-item
        
        
        
        ">
      <a href="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/">
          page 1-1-1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/" title="page 1-1-1-1" class="dd-item
        
        
        
        ">
      <a href="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/">
          page 1-1-1-1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          

        
          
            
            




 
  
    
    <li data-nav-id="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/children-1-1-1-1-1/" title="page 1-1-1-1-1" class="dd-item
        
        
        
        ">
      <a href="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/children-1-1-1-1-1/">
          page 1-1-1-1-1
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/en/shortcodes/children/children-2/" title="page 2" class="dd-item
        
        
        
        ">
      <a href="/en/shortcodes/children/children-2/">
          page 2
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
          

        
          
            
            




 
  
    
      <li data-nav-id="/en/shortcodes/children/children-2/test3/" title="page test 3" class="dd-item ">
        <a href="/en/shortcodes/children/children-2/test3/">
        page test 3
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
            
            




 
  
    
    <li data-nav-id="/en/shortcodes/children/children-3/" title="page 3" class="dd-item
        
        
        
        ">
      <a href="/en/shortcodes/children/children-3/">
          page 3
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
    </li>
  
 

            
          
            
            
          
            
            




 
  
    
      <li data-nav-id="/en/shortcodes/children/test/" title="page test" class="dd-item ">
        <a href="/en/shortcodes/children/test/">
        page test
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
      
    </li>
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/shortcodes/expand/" title="Expand" class="dd-item ">
        <a href="/en/shortcodes/expand/">
        Expand
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/shortcodes/mermaid/" title="Mermaid" class="dd-item ">
        <a href="/en/shortcodes/mermaid/">
        Mermaid
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/shortcodes/notice/" title="Notice" class="dd-item ">
        <a href="/en/shortcodes/notice/">
        Notice
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/shortcodes/siteparam/" title="Site param" class="dd-item ">
        <a href="/en/shortcodes/siteparam/">
        Site param
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            




 
  
    
      <li data-nav-id="/en/shortcodes/tabs/" title="Tabbed views" class="dd-item ">
        <a href="/en/shortcodes/tabs/">
        Tabbed views
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
      
    </li>
  
 

          
          




 
  
    
    <li data-nav-id="/en/5-inf%C3%A9rence/" title="5 Inférences" class="dd-item
        
        
        
        ">
      <a href="/en/5-inf%C3%A9rence/">
          5 Inférences
          
            <i class="fas fa-check read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
          

        
          
            
            




 
  
    
      <li data-nav-id="/en/5-inf%C3%A9rence/2020-12-01-r-rmarkdown/" title="2020 12 01 R Rmarkdown" class="dd-item ">
        <a href="/en/5-inf%C3%A9rence/2020-12-01-r-rmarkdown/">
        2020 12 01 R Rmarkdown
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
      
    </li>
  
 

          
        
    </ul>

    
    
      <section id="shortcuts">
        <h3>More</h3>
        <ul>
          
              <li>
                  <a class="padding" href="https://gitlab.com/DB-lectures/EnqueteQuantitative/paquet-r"><i class='fab fa-fw fa-gitlab'></i> Dépot Gitlab</a>
              </li>
          
              <li>
                  <a class="padding" href="/en/showcase"><i class='fas fa-fw fa-camera'></i> Showcases</a>
              </li>
          
              <li>
                  <a class="padding" href="https://gohugo.io/"><i class='fas fa-fw fa-bookmark'></i> Hugo Documentation</a>
              </li>
          
              <li>
                  <a class="padding" href="en/credits"><i class='fas fa-fw fa-bullhorn'></i> Credits</a>
              </li>
          
        </ul>
      </section>
    

    
    <section id="prefooter">
      <hr/>
      <ul>
      

      
        <li><a class="padding" href="#" data-clear-history-toggle=""><i class="fas fa-history fa-fw"></i> Clear History</a></li>
      
      </ul>
    </section>
    
    <section id="footer">
      
    </section>
  </div>
</nav>




        <section id="body">
        <div id="overlay"></div>
        <div class="padding highlightable">
              
              <div>
                <div id="top-bar">
                
                  
                  
                  
                  <div id="top-github-link">
                    <a class="github-link" title='Edit this page' href="https://github.com/matcornic/hugo-theme-learn/edit/master/exampleSite/content/cont/pages/_index.en.md" target="blank">
                      <i class="fas fa-code-branch"></i>
                      <span id="top-github-link-text">Edit this page</span>
                    </a>
                  </div>
                  
                
                
                <div id="breadcrumbs" itemscope="" itemtype="http://data-vocabulary.org/Breadcrumb">
                    <span id="sidebar-toggle-span">
                        <a href="#" id="sidebar-toggle" data-sidebar-toggle="">
                          <i class="fas fa-bars"></i>
                        </a>
                    </span>
                  
                  <span id="toc-menu"><i class="fas fa-list-alt"></i></span>
                  
                  <span class="links">
                 
                 
                    
          
          
            
            
          
          
            
            
          
          
            <a href='/en/'>Learn Theme for Hugo</a> > <a href='/en/cont/'>Content</a> > Pages organization
          
        
          
        
          
        
                 
                  </span>
                </div>
                
                    <div class="progress">
    <div class="wrapper">
<nav id="TableOfContents">
  <ul>
    <li><a href="#folders">Folders</a></li>
    <li><a href="#types">Types</a></li>
    <li><a href="#create-your-project">Create your project</a></li>
    <li><a href="#front-matter-configuration">Front Matter configuration</a>
      <ul>
        <li><a href="#add-icon-to-a-menu-entry">Add icon to a menu entry</a></li>
        <li><a href="#ordering-sibling-menupage-entries">Ordering sibling menu/page entries</a></li>
        <li><a href="#using-a-custom-title-for-menu-entries">Using a custom title for menu entries</a></li>
      </ul>
    </li>
    <li><a href="#homepage">Homepage</a></li>
  </ul>
</nav>
    </div>
</div>

                
              </div>
            </div>
            
        <div id="head-tags">
        
        </div>
        
        <div id="body-inner">
          
            <h1>
              
              Pages organization
            </h1>
          

        



	<p>In <strong>Hugo</strong>, pages are the core of your site. Once it is configured, pages are definitely the added value to your documentation site.</p>
<h2 id="folders">Folders</h2>
<p>Organize your site like <a href="https://gohugo.io/content/organization/">any other Hugo project</a>. Typically, you will have a <em>content</em> folder with all your pages.</p>
<pre><code>content
├── level-one
│   ├── level-two
│   │   ├── level-three
│   │   │   ├── level-four
│   │   │   │   ├── _index.md       &lt;-- /level-one/level-two/level-three/level-four
│   │   │   │   ├── page-4-a.md     &lt;-- /level-one/level-two/level-three/level-four/page-4-a
│   │   │   │   ├── page-4-b.md     &lt;-- /level-one/level-two/level-three/level-four/page-4-b
│   │   │   │   └── page-4-c.md     &lt;-- /level-one/level-two/level-three/level-four/page-4-c
│   │   │   ├── _index.md           &lt;-- /level-one/level-two/level-three
│   │   │   ├── page-3-a.md         &lt;-- /level-one/level-two/level-three/page-3-a
│   │   │   ├── page-3-b.md         &lt;-- /level-one/level-two/level-three/page-3-b
│   │   │   └── page-3-c.md         &lt;-- /level-one/level-two/level-three/page-3-c
│   │   ├── _index.md               &lt;-- /level-one/level-two
│   │   ├── page-2-a.md             &lt;-- /level-one/level-two/page-2-a
│   │   ├── page-2-b.md             &lt;-- /level-one/level-two/page-2-b
│   │   └── page-2-c.md             &lt;-- /level-one/level-two/page-2-c
│   ├── _index.md                   &lt;-- /level-one
│   ├── page-1-a.md                 &lt;-- /level-one/page-1-a
│   ├── page-1-b.md                 &lt;-- /level-one/page-1-b
│   └── page-1-c.md                 &lt;-- /level-one/page-1-c
├── _index.md                       &lt;-- /
└── page-top.md                     &lt;-- /page-top
</code></pre>

<div class="notices note" ><p><code>_index.md</code> is required in each folder, it’s your “folder home page”</p>
</div>

<h2 id="types">Types</h2>
<p><strong>Hugo-theme-learn</strong> defines two types of pages. <em>Default</em> and <em>Chapter</em>. Both can be used at any level of the documentation, the only difference being layout display.</p>
<p>A <strong>Chapter</strong> displays a page meant to be used as introduction for a set of child pages. Commonly, it contains a simple title and a catch line to define content that can be found under it.
You can define any HTML as prefix for the menu. In the example below, it&rsquo;s just a number but that could be an <a href="https://fortawesome.github.io/Font-Awesome/">icon</a>.</p>
<p><img src="/en/cont/pages/images/pages-chapter.png?width=50pc" alt="Chapter page"></p>
<div class="highlight"><pre tabindex="0" style="color:#f8f8f2;background-color:#272822;-moz-tab-size:4;-o-tab-size:4;tab-size:4"><code class="language-markdown" data-lang="markdown">+++
title = &#34;Basics&#34;
chapter = true
weight = 5
pre = &#34;&lt;<span style="color:#f92672">b</span>&gt;1. &lt;/<span style="color:#f92672">b</span>&gt;&#34;
+++

<span style="color:#75715e">### Chapter 1
</span><span style="color:#75715e"></span>
# Basics

Discover what this Hugo theme is all about and the core-concepts behind it.
</code></pre></div><p>To tell <strong>Hugo-theme-learn</strong> to consider a page as a chapter, set <code>chapter=true</code> in the Front Matter of the page.</p>
<p>A <strong>Default</strong> page is any other content page.</p>
<p><img src="/en/cont/pages/images/pages-default.png?width=50pc" alt="Default page"></p>
<div class="highlight"><pre tabindex="0" style="color:#f8f8f2;background-color:#272822;-moz-tab-size:4;-o-tab-size:4;tab-size:4"><code class="language-toml" data-lang="toml"><span style="color:#960050;background-color:#1e0010">+++</span>
<span style="color:#a6e22e">title</span> = <span style="color:#e6db74">&#34;Installation&#34;</span>
<span style="color:#a6e22e">weight</span> = <span style="color:#ae81ff">15</span>
<span style="color:#960050;background-color:#1e0010">+++</span>
</code></pre></div><p>The following steps are here to help you initialize your new website. If you don&rsquo;t know Hugo at all, we strongly suggest you to train by following this <a href="https://gohugo.io/overview/quickstart/">great documentation for beginners</a>.</p>
<h2 id="create-your-project">Create your project</h2>
<p>Hugo provides a <code>new</code> command to create a new website.</p>
<pre tabindex="0"><code>hugo new site &lt;new_project&gt;
</code></pre><p><strong>Hugo-theme-learn</strong> provides <a href="/en/cont/archetypes/">archetypes</a> to help you create this kind of pages.</p>
<h2 id="front-matter-configuration">Front Matter configuration</h2>
<p>Each Hugo page has to define a <a href="https://gohugo.io/content/front-matter/">Front Matter</a> in <em>yaml</em>, <em>toml</em> or <em>json</em>.</p>
<p><strong>Hugo-theme-learn</strong> uses the following parameters on top of Hugo ones :</p>
<div class="highlight"><pre tabindex="0" style="color:#f8f8f2;background-color:#272822;-moz-tab-size:4;-o-tab-size:4;tab-size:4"><code class="language-toml" data-lang="toml"><span style="color:#960050;background-color:#1e0010">+++</span>
<span style="color:#75715e"># Table of content (toc) is enabled by default. Set this parameter to true to disable it.</span>
<span style="color:#75715e"># Note: Toc is always disabled for chapter pages</span>
<span style="color:#a6e22e">disableToc</span> = <span style="color:#e6db74">&#34;false&#34;</span>
<span style="color:#75715e"># If set, this will be used for the page&#39;s menu entry (instead of the `title` attribute)</span>
<span style="color:#a6e22e">menuTitle</span> = <span style="color:#e6db74">&#34;&#34;</span>
<span style="color:#75715e"># The title of the page in menu will be prefixed by this HTML content</span>
<span style="color:#a6e22e">pre</span> = <span style="color:#e6db74">&#34;&#34;</span>
<span style="color:#75715e"># The title of the page in menu will be postfixed by this HTML content</span>
<span style="color:#a6e22e">post</span> = <span style="color:#e6db74">&#34;&#34;</span>
<span style="color:#75715e"># Set the page as a chapter, changing the way it&#39;s displayed</span>
<span style="color:#a6e22e">chapter</span> = <span style="color:#66d9ef">false</span>
<span style="color:#75715e"># Hide a menu entry by setting this to true</span>
<span style="color:#a6e22e">hidden</span> = <span style="color:#66d9ef">false</span>
<span style="color:#75715e"># Display name of this page modifier. If set, it will be displayed in the footer.</span>
<span style="color:#a6e22e">LastModifierDisplayName</span> = <span style="color:#e6db74">&#34;&#34;</span>
<span style="color:#75715e"># Email of this page modifier. If set with LastModifierDisplayName, it will be displayed in the footer</span>
<span style="color:#a6e22e">LastModifierEmail</span> = <span style="color:#e6db74">&#34;&#34;</span>
<span style="color:#960050;background-color:#1e0010">+++</span>
</code></pre></div><h3 id="add-icon-to-a-menu-entry">Add icon to a menu entry</h3>
<p>In the page frontmatter, add a <code>pre</code> param to insert any HTML code before the menu label. The example below uses the Github icon.</p>
<div class="highlight"><pre tabindex="0" style="color:#f8f8f2;background-color:#272822;-moz-tab-size:4;-o-tab-size:4;tab-size:4"><code class="language-toml" data-lang="toml"><span style="color:#960050;background-color:#1e0010">+++</span>
<span style="color:#a6e22e">title</span> = <span style="color:#e6db74">&#34;Github repo&#34;</span>
<span style="color:#a6e22e">pre</span> = <span style="color:#e6db74">&#34;&lt;i class=&#39;fab fa-github&#39;&gt;&lt;/i&gt; &#34;</span>
<span style="color:#960050;background-color:#1e0010">+++</span>
</code></pre></div><p><img src="/en/cont/pages/images/frontmatter-icon.png" alt="Title with icon"></p>
<h3 id="ordering-sibling-menupage-entries">Ordering sibling menu/page entries</h3>
<p>Hugo provides a <a href="https://gohugo.io/content/ordering/">flexible way</a> to handle order for your pages.</p>
<p>The simplest way is to set <code>weight</code> parameter to a number.</p>
<div class="highlight"><pre tabindex="0" style="color:#f8f8f2;background-color:#272822;-moz-tab-size:4;-o-tab-size:4;tab-size:4"><code class="language-toml" data-lang="toml"><span style="color:#960050;background-color:#1e0010">+++</span>
<span style="color:#a6e22e">title</span> = <span style="color:#e6db74">&#34;My page&#34;</span>
<span style="color:#a6e22e">weight</span> = <span style="color:#ae81ff">5</span>
<span style="color:#960050;background-color:#1e0010">+++</span>
</code></pre></div><h3 id="using-a-custom-title-for-menu-entries">Using a custom title for menu entries</h3>
<p>By default, <strong>Hugo-theme-learn</strong> will use a page&rsquo;s <code>title</code> attribute for the menu item (or <code>linkTitle</code> if defined).</p>
<p>But a page&rsquo;s title has to be descriptive on its own while the menu is a hierarchy.
We&rsquo;ve added the <code>menuTitle</code> parameter for that purpose:</p>
<p>For example (for a page named <code>content/install/linux.md</code>):</p>
<div class="highlight"><pre tabindex="0" style="color:#f8f8f2;background-color:#272822;-moz-tab-size:4;-o-tab-size:4;tab-size:4"><code class="language-toml" data-lang="toml"><span style="color:#960050;background-color:#1e0010">+++</span>
<span style="color:#a6e22e">title</span> = <span style="color:#e6db74">&#34;Install on Linux&#34;</span>
<span style="color:#a6e22e">menuTitle</span> = <span style="color:#e6db74">&#34;Linux&#34;</span>
<span style="color:#960050;background-color:#1e0010">+++</span>
</code></pre></div><h2 id="homepage">Homepage</h2>
<p>To configure your home page, you basically have three choices:</p>
<ol>
<li>Create an <code>_index.md</code> document in <code>content</code> folder and fill the file with <em>Markdown content</em></li>
<li>Create an <code>index.html</code> file in the <code>static</code> folder and fill the file with <em>HTML content</em></li>
<li>Configure your server to automatically redirect home page to one your documentation page</li>
</ol>





<footer class=" footline" >
	
</footer>

        
        </div>
        

      </div>

    <div id="navigation">
        
        

        
            
            
                
                    
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                        
                        
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                        
                        
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
            
        
                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
            
        

        


	 
	 
		
			<a class="nav nav-prev" href="/en/cont/" title="Content"> <i class="fa fa-chevron-left"></i></a>
		
		
			<a class="nav nav-next" href="/en/cont/archetypes/" title="Archetypes" style="margin-right: 0px;"><i class="fa fa-chevron-right"></i></a>
		
	
    </div>

    </section>

    <div style="left: -1000px; overflow: scroll; position: absolute; top: -1000px; border: none; box-sizing: content-box; height: 200px; margin: 0px; padding: 0px; width: 200px;">
      <div style="border: none; box-sizing: content-box; height: 200px; margin: 0px; padding: 0px; width: 200px;"></div>
    </div>
    <script src="/js/clipboard.min.js?1669111564"></script>
    <script src="/js/perfect-scrollbar.min.js?1669111564"></script>
    <script src="/js/perfect-scrollbar.jquery.min.js?1669111564"></script>
    <script src="/js/jquery.sticky.js?1669111564"></script>
    <script src="/js/featherlight.min.js?1669111564"></script>
    <script src="/js/highlight.pack.js?1669111564"></script>
    <script>hljs.initHighlightingOnLoad();</script>
    <script src="/js/modernizr.custom-3.6.0.js?1669111564"></script>
    <script src="/js/learn.js?1669111564"></script>
    <script src="/js/hugo-learn.js?1669111564"></script>
    
        
            <script src="https://unpkg.com/mermaid@8.8.0/dist/mermaid.min.js"></script>
        
        <script>
            mermaid.initialize({ startOnLoad: true });
        </script>
    
    <script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-105947713-1', 'auto');
  ga('send', 'pageview');

</script>

<script src="//yihui.org/js/math-code.js"></script>
<script async
src="//cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js?config=TeX-MML-AM_CHTML">
</script>
  </body>
</html>
